Name:		kdenetwork
Summary:	K Desktop Environment - Network Applications
Version:	2.1.1
Release:	2mdk
Epoch:		1

Source:		%name-%version.tar.bz2
Source1:	kppp.pamd

# Dadou - 2.1-5mdk - Some users complaint because trash is cleaned by default
#                    when Kmail is closed.
Patch0:		kdenetwork-2.1-kmail-dont-empty-trash-folder-on-exit.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
# Dadou - 2.1-1mdk - For kppp
Requires:	ppp
BuildRequires:  Mesa-common XFree86-devel XFree86-libs XFree86-static-libs arts
BuildRequires:  autoconf automake db1 diffutils file freetype2 gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs kdelibs-devel kdesupport kdesupport-devel
BuildRequires:  libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel libmng1 libpng2
BuildRequires:  libqt2 libqt2-devel libtermcap m4 mktemp openssl pam popt readline
BuildRequires:  rpm-build texinfo zlib1


%description
Networking applications for the K Desktop Environment.

%package devel
Summary:	K Desktop Environment - Network Applications Development
Group:		Development/KDE and QT
Requires:	%name = %version-%release, libqt2-devel

%description devel
Header files for developing KDE network applications.

%prep

%setup -q
%patch0 -p1

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure --prefix=%_prefix \
	            --disable-debug \
	            --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --with-qt-includes=%_includedir/qt2 \
		    --with-qt-libraries=%_libdir/ \
		    --disable-rpath

%make

%install
make install DESTDIR=%buildroot

install -d %buildroot/%_sysconfdir/pam.d/
install -m644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp

chmod u+s %buildroot/%_bindir/kppp

# Create LMDK menu structure
install -d %buildroot/%_menudir/

# %%_datadir/applnk/.hidden/
kdedesktop2mdkmenu.pl kdenetwork .hidden                           %buildroot/%_datadir/applnk/.hidden/knewstickerstub.desktop                %buildroot/%_menudir/kdenetwork-knewstickerstub kde

# %%_datadir/applnk/Internet/
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access"        %buildroot/%_datadir/applnk/Internet/keystone.desktop                      %buildroot/%_menudir/kdenetwork-keystone
kdedesktop2mdkmenu.pl kdenetwork "Networking/Instant messaging"    %buildroot/%_datadir/applnk/Internet/kit.desktop                           %buildroot/%_menudir/kdenetwork-kit
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail                   %buildroot/%_datadir/applnk/Internet/KMail.desktop                         %buildroot/%_menudir/kdenetwork-kmail
kdedesktop2mdkmenu.pl kdenetwork Networking/News                   %buildroot/%_datadir/applnk/Internet/KNode.desktop                         %buildroot/%_menudir/kdenetwork-knode
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail                   %buildroot/%_datadir/applnk/Internet/KOrn.desktop                          %buildroot/%_menudir/kdenetwork-korn             kde
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access"        %buildroot/%_datadir/applnk/Internet/Kppp.desktop                          %buildroot/%_menudir/kdenetwork-kppp
kdedesktop2mdkmenu.pl kdenetwork "Networking/Remote access"        %buildroot/%_datadir/applnk/Internet/kppplogview.desktop                   %buildroot/%_menudir/kdenetwork-kppplogview
kdedesktop2mdkmenu.pl kdenetwork Networking/IRC                    %buildroot/%_datadir/applnk/Internet/ksirc.desktop                         %buildroot/%_menudir/kdenetwork-ksirc

# %%_datadir/applnk/Network/
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Network         %buildroot/%_datadir/applnk/Settings/Network/kcmktalkd.desktop             %buildroot/%_menudir/kdenetwork-kcmktalkd        kde
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Network         %buildroot/%_datadir/applnk/Settings/Network/lanbrowser.desktop            %buildroot/%_menudir/kdenetwork-lanbrowser       kde

# %%_datadir/applnk/Personalization/
kdedesktop2mdkmenu.pl kdenetwork Configuration/KDE/Personalization %buildroot/%_datadir/applnk/Settings/Personalization/kcmnewsticker.desktop %buildroot/%_menudir/kdenetwork-kcmnewsticker    kde

# %%_datadir/applnk/Utilities/
kdedesktop2mdkmenu.pl kdenetwork Networking/Mail                   %buildroot/%_datadir/applnk/Utilities/kmailcvt.desktop                     %buildroot/%_menudir/kdenetwork-kmailcvt


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files 
%defattr(-,root,root,-)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kppp
#
#
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/keystone/
%doc %_docdir/HTML/en/keystone/.anchors
%doc %_docdir/HTML/en/keystone/common
%doc %_docdir/HTML/en/keystone/*.docbook
%doc %_docdir/HTML/en/keystone/*.html
#
%dir %_docdir/HTML/en/kit/
%doc %_docdir/HTML/en/kit/.anchors
%doc %_docdir/HTML/en/kit/common
%doc %_docdir/HTML/en/kit/*.docbook
%doc %_docdir/HTML/en/kit/*.html
#
%dir %_docdir/HTML/en/kmail/
%doc %_docdir/HTML/en/kmail/.anchors
%doc %_docdir/HTML/en/kmail/common
%doc %_docdir/HTML/en/kmail/*.docbook
%doc %_docdir/HTML/en/kmail/*.html
#
%dir %_docdir/HTML/en/knewsticker/
%doc %_docdir/HTML/en/knewsticker/.anchors
%doc %_docdir/HTML/en/knewsticker/common
%doc %_docdir/HTML/en/knewsticker/TODO
%doc %_docdir/HTML/en/knewsticker/*.docbook
%doc %_docdir/HTML/en/knewsticker/*.html
%doc %_docdir/HTML/en/knewsticker/*.png
#
%dir %_docdir/HTML/en/knode/
%doc %_docdir/HTML/en/knode/.anchors
%doc %_docdir/HTML/en/knode/common
%doc %_docdir/HTML/en/knode/*.docbook
%doc %_docdir/HTML/en/knode/*.html
%doc %_docdir/HTML/en/knode/*.png
#
%dir %_docdir/HTML/en/korn/
%doc %_docdir/HTML/en/korn/.anchors
%doc %_docdir/HTML/en/korn/common
%doc %_docdir/HTML/en/korn/*.docbook
%doc %_docdir/HTML/en/korn/*.html
#
%dir %_docdir/HTML/en/kppp/
%doc %_docdir/HTML/en/kppp/.anchors
%doc %_docdir/HTML/en/kppp/common
%doc %_docdir/HTML/en/kppp/*.docbook
%doc %_docdir/HTML/en/kppp/*.fig
%doc %_docdir/HTML/en/kppp/*.html
%doc %_docdir/HTML/en/kppp/*.png
%doc %_docdir/HTML/en/kppp/*.question
%doc %_docdir/HTML/en/kppp/*.txt
#
%dir %_docdir/HTML/en/ksirc/
%doc %_docdir/HTML/en/ksirc/.anchors
%doc %_docdir/HTML/en/ksirc/common
%doc %_docdir/HTML/en/ksirc/*.docbook
%doc %_docdir/HTML/en/ksirc/*.html
%doc %_docdir/HTML/en/ksirc/*.png
#
%dir %_docdir/HTML/en/ktalkd/
%doc %_docdir/HTML/en/ktalkd/.anchors
%doc %_docdir/HTML/en/ktalkd/common
%doc %_docdir/HTML/en/ktalkd/*.docbook
%doc %_docdir/HTML/en/ktalkd/*.html
#
#
#
%_bindir/*
#
#
#
%_libdir/*.la
%_libdir/*.so*
#
#
%dir %_libdir/kde2/
%_libdir/kde2/*.la
%_libdir/kde2/*.so*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/.hidden/
%dir %_datadir/applnk/.hidden/knewstickerstub.desktop
#
#
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/*.desktop
#
#
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/Network/
%_datadir/applnk/Settings/Network/*.desktop
#
%dir %_datadir/applnk/Settings/Personalization/
%_datadir/applnk/Settings/Personalization/kcmnewsticker.desktop
#
#
%dir %_datadir/applnk/Utilities/
%_datadir/applnk/Utilities/kmailcvt.desktop
#
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/keystone/
%_datadir/apps/keystone/keystoneui.rc
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/*.desktop
#
#
%dir %_datadir/apps/kit/
%_datadir/apps/kit/eventsrc
#
%dir %_datadir/apps/kit/icons/
%dir %_datadir/apps/kit/icons/locolor/
%dir %_datadir/apps/kit/icons/locolor/16x16/
%dir %_datadir/apps/kit/icons/locolor/16x16/actions/
%_datadir/apps/kit/icons/locolor/16x16/actions/*.png
#
#
%dir %_datadir/apps/kmail/
%_datadir/apps/kmail/*.rc
#
%dir %_datadir/apps/kmail/about/
%_datadir/apps/kmail/about/*.css
%_datadir/apps/kmail/about/*.html
%_datadir/apps/kmail/about/*.png
#
%dir %_datadir/apps/kmail/pics/
%_datadir/apps/kmail/pics/*.png
%_datadir/apps/kmail/pics/*.xbm
%_datadir/apps/kmail/pics/*.xpm
#
#
%dir %_datadir/apps/knewsticker/
%_datadir/apps/knewsticker/eventsrc
#
#
%dir %_datadir/apps/knode/
%_datadir/apps/knode/*.rc
%dir %_datadir/apps/knode/filters/
%_datadir/apps/knode/filters/*.fltr
%_datadir/apps/knode/filters/*.rc
#
%dir %_datadir/apps/knode/icons/
%dir %_datadir/apps/knode/icons/hicolor/
%dir %_datadir/apps/knode/icons/hicolor/16x16/
%dir %_datadir/apps/knode/icons/hicolor/16x16/actions/
%_datadir/apps/knode/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/knode/icons/hicolor/22x22/
%dir %_datadir/apps/knode/icons/hicolor/22x22/actions/
%_datadir/apps/knode/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/knode/icons/hicolor/32x32/
%dir %_datadir/apps/knode/icons/hicolor/32x32/actions/
%_datadir/apps/knode/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/knode/icons/locolor/
%dir %_datadir/apps/knode/icons/locolor/16x16/
%dir %_datadir/apps/knode/icons/locolor/16x16/actions/
%_datadir/apps/knode/icons/locolor/16x16/actions/*.png
#
%dir %_datadir/apps/knode/pics/
%_datadir/apps/knode/pics/*.png
#
#
%dir %_datadir/apps/konqueror/
%dir %_datadir/apps/konqueror/dirtree/
%dir %_datadir/apps/konqueror/dirtree/remote/
%_datadir/apps/konqueror/dirtree/remote/*.desktop
#
#
%dir %_datadir/apps/kppp/
%dir %_datadir/apps/kppp/Provider/
%dir %_datadir/apps/kppp/Provider/Austria/
%_datadir/apps/kppp/Provider/Austria/.directory
%_datadir/apps/kppp/Provider/Austria/Simon%032Media
#
%dir %_datadir/apps/kppp/Provider/Denmark/
%_datadir/apps/kppp/Provider/Denmark/.directory
%_datadir/apps/kppp/Provider/Denmark/Get2Net
#
%dir %_datadir/apps/kppp/Provider/Germany/
%_datadir/apps/kppp/Provider/Germany/.directory
%_datadir/apps/kppp/Provider/Germany/CityWeb
%_datadir/apps/kppp/Provider/Germany/FH%032Rhein%032Sieg%032%040Informatik%041
%_datadir/apps/kppp/Provider/Germany/MUC%046DE
%_datadir/apps/kppp/Provider/Germany/Netsurf
#
%dir %_datadir/apps/kppp/Provider/Netherlands/
%_datadir/apps/kppp/Provider/Netherlands/.directory
%_datadir/apps/kppp/Provider/Netherlands/12Move
%_datadir/apps/kppp/Provider/Netherlands/Cistron
%_datadir/apps/kppp/Provider/Netherlands/Concepts%032ICT
%_datadir/apps/kppp/Provider/Netherlands/Cybercomm
%_datadir/apps/kppp/Provider/Netherlands/Dataweb
%_datadir/apps/kppp/Provider/Netherlands/Daxis%032Internet
%_datadir/apps/kppp/Provider/Netherlands/Freeler
%_datadir/apps/kppp/Provider/Netherlands/HetNet
%_datadir/apps/kppp/Provider/Netherlands/IAE
%_datadir/apps/kppp/Provider/Netherlands/InterNLnet%032met%0323-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/InterNLnet%032met%0324-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/Internet%032Acces%032Facilities
%_datadir/apps/kppp/Provider/Netherlands/Interstroom
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032Hengelo%032e.o.
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032met%0323-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/IntroWeb%032met%0324-cijferig%032kengetal
%_datadir/apps/kppp/Provider/Netherlands/Kabelfoon
%_datadir/apps/kppp/Provider/Netherlands/Popin
%_datadir/apps/kppp/Provider/Netherlands/Solcon
%_datadir/apps/kppp/Provider/Netherlands/Sonera%032Plaza
%_datadir/apps/kppp/Provider/Netherlands/TIP
%_datadir/apps/kppp/Provider/Netherlands/Trefpunt%032Acces
%_datadir/apps/kppp/Provider/Netherlands/Wish
%_datadir/apps/kppp/Provider/Netherlands/Zonnet
#
%dir %_datadir/apps/kppp/Provider/NewZealand/
%_datadir/apps/kppp/Provider/NewZealand/.directory
%_datadir/apps/kppp/Provider/NewZealand/OrconInternet
%_datadir/apps/kppp/Provider/NewZealand/Paradise
%_datadir/apps/kppp/Provider/NewZealand/Voyager
%_datadir/apps/kppp/Provider/NewZealand/XTRA
%_datadir/apps/kppp/Provider/NewZealand/ihug
#
%dir %_datadir/apps/kppp/Provider/Norway/
%_datadir/apps/kppp/Provider/Norway/.directory
%_datadir/apps/kppp/Provider/Norway/BGNett
%_datadir/apps/kppp/Provider/Norway/Institutt%032for%032informatikk
#
%dir %_datadir/apps/kppp/Provider/Portugal/
%_datadir/apps/kppp/Provider/Portugal/.directory
%_datadir/apps/kppp/Provider/Portugal/Clix
%_datadir/apps/kppp/Provider/Portugal/Netc
%_datadir/apps/kppp/Provider/Portugal/OniNet
#
%dir %_datadir/apps/kppp/Provider/Sweden/
%_datadir/apps/kppp/Provider/Sweden/.directory
%_datadir/apps/kppp/Provider/Sweden/Utfors
%_datadir/apps/kppp/Provider/Sweden/World%032Online
#
%dir %_datadir/apps/kppp/Provider/Taiwan/
%_datadir/apps/kppp/Provider/Taiwan/.directory
%_datadir/apps/kppp/Provider/Taiwan/EraNet
%_datadir/apps/kppp/Provider/Taiwan/HiNet
%_datadir/apps/kppp/Provider/Taiwan/SeedNet
#
%dir %_datadir/apps/kppp/Provider/United_Kingdom/
%_datadir/apps/kppp/Provider/United_Kingdom/.directory
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Green%0322120666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Purple%0322121666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Red%0320798666
%_datadir/apps/kppp/Provider/United_Kingdom/FreeServe
#
%dir %_datadir/apps/kppp/Provider/Yugoslavia/
%_datadir/apps/kppp/Provider/Yugoslavia/BeoTelNet
%_datadir/apps/kppp/Provider/Yugoslavia/CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/DrenikNet
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetlite
%_datadir/apps/kppp/Provider/Yugoslavia/InfoSKY
%_datadir/apps/kppp/Provider/Yugoslavia/PTT
%_datadir/apps/kppp/Provider/Yugoslavia/SCnet
%_datadir/apps/kppp/Provider/Yugoslavia/Sezampro
%_datadir/apps/kppp/Provider/Yugoslavia/VeratNet
%_datadir/apps/kppp/Provider/Yugoslavia/YUBCnet
#
#
%dir %_datadir/apps/kppp/Rules/
%_datadir/apps/kppp/Rules/TEMPLATE
%_datadir/apps/kppp/Rules/checkrules
#
%dir %_datadir/apps/kppp/Rules/Argentina/
%_datadir/apps/kppp/Rules/Argentina/*.rst
#
%dir %_datadir/apps/kppp/Rules/Australia/
%_datadir/apps/kppp/Rules/Australia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/
%dir %_datadir/apps/kppp/Rules/Austria/Business_1/
%_datadir/apps/kppp/Rules/Austria/Business_1/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Business_2/
%_datadir/apps/kppp/Rules/Austria/Business_2/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Minimum/
%_datadir/apps/kppp/Rules/Austria/Minimum/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Standard/
%_datadir/apps/kppp/Rules/Austria/Standard/*.rst
#
%dir %_datadir/apps/kppp/Rules/Bangladesh/
%_datadir/apps/kppp/Rules/Bangladesh/*.rst
#
%dir %_datadir/apps/kppp/Rules/Belgium/
%_datadir/apps/kppp/Rules/Belgium/*.rst
#
%dir %_datadir/apps/kppp/Rules/Brasil/
%_datadir/apps/kppp/Rules/Brasil/*.rst
#
%dir %_datadir/apps/kppp/Rules/Croatia/
%_datadir/apps/kppp/Rules/Croatia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Czechia/
%_datadir/apps/kppp/Rules/Czechia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Denmark/
%_datadir/apps/kppp/Rules/Denmark/*.rst
#
%dir %_datadir/apps/kppp/Rules/England/
%_datadir/apps/kppp/Rules/England/*.rst
#
%dir %_datadir/apps/kppp/Rules/Estonia/
%_datadir/apps/kppp/Rules/Estonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/France/
%_datadir/apps/kppp/Rules/France/*.rst
#
%dir %_datadir/apps/kppp/Rules/Germany/
%_datadir/apps/kppp/Rules/Germany/*.rst
#
%dir %_datadir/apps/kppp/Rules/Greece/
%_datadir/apps/kppp/Rules/Greece/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hong_Kong/
%_datadir/apps/kppp/Rules/Hong_Kong/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hungary/
%_datadir/apps/kppp/Rules/Hungary/*.rst
#
%dir %_datadir/apps/kppp/Rules/Iceland/
%_datadir/apps/kppp/Rules/Iceland/*.rst
#
%dir %_datadir/apps/kppp/Rules/India/
%_datadir/apps/kppp/Rules/India/*.rst
#
%dir %_datadir/apps/kppp/Rules/Indonesia/
%_datadir/apps/kppp/Rules/Indonesia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ireland/
%_datadir/apps/kppp/Rules/Ireland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Israel/
%_datadir/apps/kppp/Rules/Israel/*.rst
#
%dir %_datadir/apps/kppp/Rules/Italy/
%_datadir/apps/kppp/Rules/Italy/*.rst
#
%dir %_datadir/apps/kppp/Rules/Jamaica/
%_datadir/apps/kppp/Rules/Jamaica/*.rst
#
%dir %_datadir/apps/kppp/Rules/Japan/
%_datadir/apps/kppp/Rules/Japan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Kazakhstan/
%_datadir/apps/kppp/Rules/Kazakhstan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Luxembourg/
%_datadir/apps/kppp/Rules/Luxembourg/*.rst
#
%dir %_datadir/apps/kppp/Rules/Malaysia/
%_datadir/apps/kppp/Rules/Malaysia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Netherlands/
%_datadir/apps/kppp/Rules/Netherlands/*.rst
#
%dir %_datadir/apps/kppp/Rules/Norway/
%_datadir/apps/kppp/Rules/Norway/*.rst
#
%dir %_datadir/apps/kppp/Rules/Poland/
%_datadir/apps/kppp/Rules/Poland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Portugal/
%_datadir/apps/kppp/Rules/Portugal/*.rst
#
%dir %_datadir/apps/kppp/Rules/Romania/
%_datadir/apps/kppp/Rules/Romania/*.rst
#
%dir %_datadir/apps/kppp/Rules/Singapore/
%_datadir/apps/kppp/Rules/Singapore/*.rst
#
%dir %_datadir/apps/kppp/Rules/Slovakia/
%_datadir/apps/kppp/Rules/Slovakia/*.rst
#
%dir %_datadir/apps/kppp/Rules/South_Afrika/
%_datadir/apps/kppp/Rules/South_Afrika/*.rst
#
%dir %_datadir/apps/kppp/Rules/Spain/
%_datadir/apps/kppp/Rules/Spain/*.rst
#
%dir %_datadir/apps/kppp/Rules/Sweden/
%_datadir/apps/kppp/Rules/Sweden/*.rst
#
%dir %_datadir/apps/kppp/Rules/Switzerland/
%_datadir/apps/kppp/Rules/Switzerland/*.rst
#
#
%dir %_datadir/apps/kppp/pics/
%_datadir/apps/kppp/pics/*.png
#
#
%dir %_datadir/apps/ksirc/
%_datadir/apps/ksirc/relnotes
%_datadir/apps/ksirc/*.gz
%_datadir/apps/ksirc/*.ini
%_datadir/apps/ksirc/*.pl
%_datadir/apps/ksirc/*.pm
%_datadir/apps/ksirc/*.txt
#
%dir %_datadir/apps/ksirc/pics/
%_datadir/apps/ksirc/pics/*.png
%_datadir/apps/ksirc/pics/*.xpm
#
#
%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README
#
#
#
%dir %_datadir/config/
%_datadir/config/ksircrc
%_datadir/config/ktalkdrc
#
#
%dir %_datadir/config/protocols/
%_datadir/config/protocols/*.desktop
#
#
#
%dir %_datadir/icons/hicolor/
%dir %_datadir/icons/hicolor/16x16/
%dir %_datadir/icons/hicolor/16x16/apps/
%_datadir/icons/hicolor/16x16/apps/*.png
#
%dir %_datadir/icons/hicolor/22x22/
%dir %_datadir/icons/hicolor/22x22/actions/
%_datadir/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/icons/hicolor/32x32/
%dir %_datadir/icons/hicolor/32x32/apps/
%_datadir/icons/hicolor/32x32/apps/*.png
#
%dir %_datadir/icons/hicolor/48x48/
%dir %_datadir/icons/hicolor/48x48/apps/
%_datadir/icons/hicolor/48x48/apps/*.png
#
#
%dir %_datadir/icons/locolor/
%dir %_datadir/icons/locolor/16x16/
%dir %_datadir/icons/locolor/16x16/apps/
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/16x16/apps/*xpm
#
%dir %_datadir/icons/locolor/32x32/
%dir %_datadir/icons/locolor/32x32/apps/
%_datadir/icons/locolor/32x32/apps/*.png
#
#
#
%dir %_datadir/services/
%_datadir/services/*.protocol
#
#
#
%dir %_datadir/sounds/
%_datadir/sounds/ktalkd.wav



%files devel
%defattr(-,root,root,-)
%_includedir/*.h
#
#
#
%_libdir/*.a
#
#
%dir %_libdir/kde2/
%_libdir/kde2/*.a

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Move KDE menu entries in %%_datadir/applnk
- Rebuild against latest GCC

* Wed Mar 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1

* Sat Mar 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-5mdk
- Kmail: don't emptry on exit by default
- Clean BuildRequires for non ix86 architectures

* Tue Mar 13 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-4mdk
- Rebuild against Qt 2.3.0
- Clean BuildRequires

* Thu Mar  8 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.1-3mdk
- removed BuildRequires for libreadline4

* Wed Feb 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-2mdk
- Add BuildRequires
- Make kppp SUID

* Fri Feb 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-1mdk
- KDE 2.1

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-20010220.1mdk
- Enable --disable-debug

* Sat Feb 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010210.1mdk
- Update code

* Fri Feb 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010209.1mdk
- Update code

* Thu Feb 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010208.1mdk
- Update code

* Wed Feb 07 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010207.1mdk
- Update code

* Tue Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010206.1mdk
- Update code
- LMDK menu entries cleaned

* Mon Feb 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010205.1mdk
- Update code
- LMDK menu entries nearly cleaned

* Sun Feb 04 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010204.1mdk
- Update code
- Begin clean LMDK menu entries

* Sat Feb 03 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010203.1mdk
- Update code

* Fri Feb 02 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010202.1mdk
- Update code
- Rewrite files list to fix updates

* Tue Feb 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010201.1mdk
- Update code

* Thu Jan 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010130.1mdk
- Update code

* Mon Jan 29 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010129.1mdk
- Update code

* Sun Jan 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010128.1mdk
- Update code
- Enable debug (low level)

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010127.1mdk
- Update code

* Fri Jan 26 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010126.1mdk
- Update code

* Tue Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010125.1mdk
- Update code

* Wed Jan 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010124.1mdk
- Update code

* Thu Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010123.1mdk
- Update code

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010122.1mdk
- Update code

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010121-1mdk
- Build shared and static libraries
- Spec clean up
- Remove IMAP support for KMail (it's not stable and it will not be added until
  KDE Team says it's OK

* Fri Jan  5 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20010105.1mdk
- add imap support for kmail

* Wed Jan  3 2001  Daouda Lo <daouda@mandrakesoft.com> 2.1-0.20010103.1mdk
- updated code
- cleanups  

* Sun Dec 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001203.1mdk
- Updated source code

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Updated source code

* Wed Nov 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0.1-0.1mdk
- Updated source code

* Sun Nov 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-10.1mdk
- Updated source code

* Sat Nov 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-10mdk
- Updated source code

* Fri Nov 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.3mdk
- Updated source code

* Thu Nov 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.2mdk
- Updated source code

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8.1mdk
- Updated source code

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-8mdk
- Build for MandrakeUpdate on 7.2

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-7mdk
- This version works for gcc 2.96.
- This version includes updates from the KDE pre2.1 CVS.

* Thu Nov 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Updated code

* Thu Nov 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Updated code

* Mon Nov 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Updated to gcc 2.96 (Second try)

* Fri Nov 03 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-3mdk
- Updated to gcc 2.96

* Wed Oct 25 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Make non relocatable
- Fix Requires
- Macros
- Don't %%clean_menus & %%update_menus in %%postun
- Fix %%files
- Fix dangling symlink
- Spec clean up

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Updated to KDE 2.0 release code

* Tue Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated because of new qt2.2.1 and kdelibs

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code snapshot

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-11mdk
- Updated code snapshot

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-10mdk
- Updated code snapshot
- SOURCE1 needs to be installed in INSTALL section rather than build section

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-9mdk
- Updated code snapshot

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.94-8mdk
- Silly me forgot to install the pamd files.

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.94-7mdk
- Pam support for Kppp.

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code snapshot

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code snapshot

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code snapshot

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code snapshot

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code snapshot
- chmod u+s /usr/bin/kppp per Jean-loup

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code snapshot

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-10mdk
- Fixed menu entry

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code snapshot

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code snapshot

* Mon Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code snapshot

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code snapshot

* Wed Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code snapshot

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code snapshot

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code snapshot
- Changed menus to use the auto menu translation tool

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code snapshot

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code snapshot
- Added devel package
- fixed some menu errors
- fixed some rpmlint errors

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-14mdk
- Updated code snapshot

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-13mdk
- Updated code snapshot

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-12mdk
- Updated code snapshot

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-8mdk
- Updated code snapshot

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-7mdk
- Updated code snapshot
- Removed automatic file list generation

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-6mdk
- Updated code snapshot

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-4mdk
- Updated code snapshot

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-2mdk
- Updated code snapshot

* Sat Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-1mdk
- Updated code snapshot

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000728mdk
- Updated code snapshot

* Wed Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000726mdk
- Updated code snapshot

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000721mdk
- Updated code snapshot

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000719mdk
- Updated code snapshot

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code snapshot

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000717mdk
- Updated code snapshot

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code snapshot
- Moved to /usr
- Changed package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot

* Fri Jul 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000707mdk
- Udpated code snapshot

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot
- Enabled doc compiling

* Wed Jun 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000621mdk
- Updated code snapshot

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000619mdk
- Updated code snapshot

* Mon Jun 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000611mdk
- Updated code snapshot

* Sun May 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000520mdk
- Updated code to more recent version

* Fri May 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000519mdk
- Updated code to solve kmail crashing at startup problem.

* Wed May 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.90-0.20000517mdk
- Compiled for Mandrake
- Updated code and spec files to recent snapshot
